import { defineComponent, toRefs, openBlock, createElementBlock, createElementVNode, createVNode, unref } from "vue";
import _sfc_main$1 from "../../../NComponents/configCommon/refConfig.mjs";
import "./index.vue_vue_type_style_index_0_scoped_true_lang.mjs";
import _export_sfc from "../../../../_virtual/plugin-vue_export-helper.mjs";
const _hoisted_1 = { class: "com_13" };
const _hoisted_2 = { class: "com_13_1" };
const _hoisted_3 = { class: "com_13_1_1" };
const _hoisted_4 = { class: "com_13_2" };
const __default__ = defineComponent({ name: "EComponent13" });
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const {
      titleConfig,
      imageConfig,
      unitConfig,
      valueConfig,
      valueConfig2,
      valueTextConfig,
      valueTextConfig2
    } = toRefs(props.chartConfig.option);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createElementVNode("div", _hoisted_2, [
          createElementVNode("div", _hoisted_3, [
            createVNode(_sfc_main$1, {
              type: "img",
              config: unref(imageConfig),
              class: "img"
            }, null, 8, ["config"]),
            createVNode(_sfc_main$1, {
              type: "text",
              config: unref(titleConfig)
            }, null, 8, ["config"])
          ]),
          createVNode(_sfc_main$1, {
            type: "text",
            config: unref(unitConfig)
          }, null, 8, ["config"])
        ]),
        createElementVNode("div", _hoisted_4, [
          createElementVNode("div", null, [
            createVNode(_sfc_main$1, {
              type: "number",
              config: unref(valueConfig)
            }, null, 8, ["config"]),
            createVNode(_sfc_main$1, {
              type: "text",
              config: unref(valueTextConfig)
            }, null, 8, ["config"])
          ]),
          createElementVNode("div", null, [
            createVNode(_sfc_main$1, {
              type: "number",
              config: unref(valueConfig2)
            }, null, 8, ["config"]),
            createVNode(_sfc_main$1, {
              type: "text",
              config: unref(valueTextConfig2)
            }, null, 8, ["config"])
          ])
        ])
      ]);
    };
  }
});
var _EComponent13 = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-f55e2b08"]]);
export { _EComponent13 as default };
